import { OptionType } from '@/components/input/SelectInput';
import * as Yup from 'yup';

export const SupplierFilterSchema = Yup.object().shape({
  category: Yup.object({
    value: Yup.string().required(),
    label: Yup.string().required(),
  }).nullable(),

  flag: Yup.boolean().nullable(),
});

export type SupplierFilterType = {
  category?: OptionType<string>;
  flag: boolean | null;
};
